[arch-commits] Commit in nemo-extensions/repos/community-x86_64 (4 files)

Eli Schwartz eschwartz at archlinux.org
Thu Nov 1 20:01:39 UTC 2018


    Date: Thursday, November 1, 2018 @ 20:01:38
  Author: eschwartz
Revision: 401149

archrelease: copy trunk to community-x86_64

Added:
  nemo-extensions/repos/community-x86_64/PKGBUILD
    (from rev 401148, nemo-extensions/trunk/PKGBUILD)
  nemo-extensions/repos/community-x86_64/nemo-seahorse-gnupg.patch
    (from rev 401148, nemo-extensions/trunk/nemo-seahorse-gnupg.patch)
Deleted:
  nemo-extensions/repos/community-x86_64/PKGBUILD
  nemo-extensions/repos/community-x86_64/nemo-seahorse-gnupg.patch

---------------------------+
 PKGBUILD                  |  402 ++++++++++++++++++++++----------------------
 nemo-seahorse-gnupg.patch |   26 +-
 2 files changed, 214 insertions(+), 214 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2018-11-01 20:01:24 UTC (rev 401148)
+++ PKGBUILD	2018-11-01 20:01:38 UTC (rev 401149)
@@ -1,201 +0,0 @@
-# Maintainer: Eli Schwartz <eschwartz at archlinux.org>
-# Contributor: Alexandre Filgueira <alexfilgueira at antergos.com>
-
-pkgbase=nemo-extensions
-pkgname=('nemo-fileroller'
-         'nemo-image-converter'
-         'nemo-preview'
-         'nemo-python'
-         'nemo-seahorse'
-         'nemo-share'
-         'nemo-terminal')
-        #'nemo-audio-tab'
-        #'nemo-compare'
-        #'nemo-dropbox'
-        #'nemo-emblems'
-        #'nemo-gtkhash'
-        #'nemo-media-columns'
-        #'nemo-pastebin'
-        #'nemo-repairer'
-pkgver=4.0.0
-pkgrel=1
-pkgdesc="Various extensions for Nemo"
-arch=('x86_64')
-license=('GPL2')
-url="https://github.com/linuxmint/nemo-extensions"
-depends=('nemo')
-_preview_deps=('cjs' 'clutter-gtk' 'clutter-gst' 'libmusicbrainz5' 'gtksourceview3' 'xreader')
-_python_deps=('python2-gobject')
-_seahorse_deps=('libcryptui' 'libgnome-keyring')
-makedepends=('intltool' 'gobject-introspection' 'meson')
-makedepends+=("${_preview_deps[@]}" "${_python_deps[@]}" "${_seahorse_deps[@]}")
-options=('!emptydirs')
-source=("${pkgbase}-${pkgver}.tar.gz::${url}/archive/${pkgver}.tar.gz"
-        "nemo-seahorse-gnupg.patch")
-sha256sums=('4bee7336554fd3c6e87371bc4683e5bee989a67030582b89a050aad5874a04de'
-            'ba6ae77a7d6727088e49aae2dc2c89c77c44f1ea19ee48956481d673d97caa36')
-
-prepare() {
-    cd "${srcdir}"/${pkgbase}-${pkgver}
-
-    # Delete deprecated gnome-common macros, even their standard autoconf-archive replacements are
-    # annoying to people who actually set $C(XX)?FLAGS. This drops the unneeded dependency on gnome-common
-    sed -i '/^GNOME_/d' nemo-image-converter/configure.ac
-
-    # Support GnuPG 2.2
-    patch -p1 -i ../nemo-seahorse-gnupg.patch
-
-    for _dir in "${pkgname[@]}"; do
-        if ! [[ -f ${_dir}/configure.ac || -f ${_dir}/configure.in ]]; then
-            continue
-        fi
-        pushd ${_dir}
-        autoreconf -fi
-        popd
-    done
-}
-
-build() {
-    cd "${srcdir}"/${pkgbase}-${pkgver}
-
-    for _dir in "${pkgname[@]}"; do
-        if ! [[ -f ${_dir}/configure ]]; then
-            continue
-        fi
-        pushd ${_dir}
-        PYTHON=python2 ./configure --prefix=/usr \
-                                   --sysconfdir=/etc \
-                                   --localstatedir=/var \
-                                   --libexecdir=/usr/lib/${_dir} \
-                                   --disable-schemas-compile
-        sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' -e 's/    if test "$export_dynamic" = yes && test -n "$export_dynamic_flag_spec"; then/      func_append compile_command " -Wl,-O1,--as-needed"\n      func_append finalize_command " -Wl,-O1,--as-needed"\n\0/' libtool
-        make
-        popd
-    done
-
-    mkdir -p nemo-python/build
-    pushd nemo-python/build
-    meson --prefix=/usr --buildtype=plain ..
-    ninja
-
-    # # nemo-pastebin
-    # cd nemo-pastebin
-    # python2 ./setup.py build --build-base ${srcdir}/build/ || return 1
-    # cd ..
-
-  	# nemo-media-columns
-  	# Nothing to do here
-  	# Required python2-pypdf from AUR
-}
-
-package_nemo-fileroller(){
-    pkgdesc="File archiver extension for Nemo"
-    depends+=('file-roller')
-    optdepends=('cinnamon-translations: i18n')
-
-    cd "${srcdir}"/${pkgbase}-${pkgver}/${pkgname}
-    make DESTDIR="${pkgdir}" install
-}
-
-package_nemo-image-converter(){
-    pkgdesc="Nemo extension to rotate/resize image files"
-    depends+=('imagemagick')
-    optdepends=('cinnamon-translations: i18n')
-
-    cd "${srcdir}"/${pkgbase}-${pkgver}/${pkgname}
-    make DESTDIR="${pkgdir}" install
-}
-
-package_nemo-preview(){
-    pkgdesc="Quick file previewer for Nemo"
-    depends+=("${_preview_deps[@]}")
-    optdepends=('cinnamon-translations: i18n')
-
-    cd "${srcdir}"/${pkgbase}-${pkgver}/${pkgname}
-    make DESTDIR="${pkgdir}" install
-}
-
-package_nemo-python() {
-    pkgdesc="Python3 binding for Nemo components"
-    depends+=("${_python_deps[@]}")
-
-    cd "${srcdir}"/${pkgbase}-${pkgver}/${pkgname}/build
-    DESTDIR="${pkgdir}" ninja install
-}
-
-package_nemo-seahorse(){
-    pkgdesc="PGP encryption and signing extension for Nemo"
-    depends+=("${_seahorse_deps[@]}")
-    optdepends=('cinnamon-translations: i18n')
-
-    cd "${srcdir}"/${pkgbase}-${pkgver}/${pkgname}
-    make DESTDIR="${pkgdir}" install
-}
-
-package_nemo-share(){
-    pkgdesc="Samba extension for Nemo"
-    depends+=('samba')
-    optdepends=('cinnamon-translations: i18n')
-
-    cd "${srcdir}"/${pkgbase}-${pkgver}/${pkgname}
-    make DESTDIR="${pkgdir}" install
-}
-
-package_nemo-terminal(){
-    pkgdesc="Embedded terminal window for Nemo"
-    depends=('nemo-python' 'vte3')
-
-    cd "${srcdir}"/${pkgbase}-${pkgver}/${pkgname}
-    install -Dm644 src/nemo_terminal.py \
-        "${pkgdir}"/usr/share/nemo-python/extensions/nemo_terminal.py
-    install -Dm755 src/nemo-terminal-prefs.py \
-        "${pkgdir}"/usr/bin/nemo-terminal-prefs
-    install -Dm644 src/org.nemo.extensions.nemo-terminal.gschema.xml \
-        "${pkgdir}"/usr/share/glib-2.0/schemas/org.nemo.extensions.nemo-terminal.gschema.xml
-    install -Dm644 pixmap/logo_120x120.png \
-        "${pkgdir}"/usr/share/nemo-terminal/logo_120x120.png
-}
-
-## missing kaa-base in the repos
-#package_nemo-media-columns(){
-#    pkgdesc=("A Nemo extension to display music/EXIF and PDF metadata info in the Nemo List View")
-#    depends=('nemo-python' 'mutagen' 'python2-exiv2' 'python2-kaa-base' 'python2-pillow' 'python2-pypdf')
-#
-#    cd "${srcdir}"/${pkgbase}-${pkgver}/${pkgname}
-#    install -Dm644 nemo-media-columns.py \
-#        "${pkgdir}"/usr/share/nemo-python/extensions/nemo-media-columns.py
-#}
-
-# package_nemo-pastebin(){
-# 	cd ${pkgbase}-${pkgver}/nemo-pastebin
-
-# 	pkgdesc="Nemo extension to send files to a pastebin"
-# 	arch=(any)
-# 	depends=(nemo pastebinit nemo-python)
-
-# 	python2 ./setup.py install --prefix=/usr --root=${pkgdir} \
-# 		--no-compile -O0
-# }
-
-## no clue what any of this does
-# package_nemo-compare() {
-#   cd ${pkgbase}-${pkgver}/nemo-compare
-
-#   pkgdesc="Context menu comparison extension for Nemo file manager"
-#   depends=(python2 python2-xdg meld nemo-python)
-
-#   install -d ${pkgdir}/usr/share/applications/
-#   install -d ${pkgdir}/usr/share/nemo-compare/
-
-#   install -Dm755 ${srcdir}/data/nemo-compare-preferences.desktop \
-#                   /usr/share/applications/nemo-compare-preferences.desktop
-#   install -Dm755 ${srcdir}/data/nemo-compare-notification \
-#                   /usr/share/nemo-compare/nemo-compare-notification
-#   install -Dm755 ${srcdir}/src/nemo-compare.py \
-#                   /usr/share/nemo-compare/nemo-compare.py
-#   install -Dm755 ${srcdir}/src/utils.py \
-#                   /usr/share/nemo-compare/utils.py
-#   install -Dm755 ${srcdir}/src/nemo-compare-preferences.py \
-#                   /usr/share/nemo-compare/nemo-compare-preferences.py
-
-# }

Copied: nemo-extensions/repos/community-x86_64/PKGBUILD (from rev 401148, nemo-extensions/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2018-11-01 20:01:38 UTC (rev 401149)
@@ -0,0 +1,201 @@
+# Maintainer: Eli Schwartz <eschwartz at archlinux.org>
+# Contributor: Alexandre Filgueira <alexfilgueira at antergos.com>
+
+pkgbase=nemo-extensions
+pkgname=('nemo-fileroller'
+         'nemo-image-converter'
+         'nemo-preview'
+         'nemo-python'
+         'nemo-seahorse'
+         'nemo-share'
+         'nemo-terminal')
+        #'nemo-audio-tab'
+        #'nemo-compare'
+        #'nemo-dropbox'
+        #'nemo-emblems'
+        #'nemo-gtkhash'
+        #'nemo-media-columns'
+        #'nemo-pastebin'
+        #'nemo-repairer'
+pkgver=4.0.0
+pkgrel=2
+pkgdesc="Various extensions for Nemo"
+arch=('x86_64')
+license=('GPL2')
+url="https://github.com/linuxmint/nemo-extensions"
+depends=('nemo')
+_preview_deps=('cjs' 'clutter-gtk' 'clutter-gst' 'libmusicbrainz5' 'gtksourceview3' 'xreader')
+_python_deps=('python-gobject')
+_seahorse_deps=('libcryptui' 'libgnome-keyring')
+makedepends=('intltool' 'gobject-introspection' 'meson')
+makedepends+=("${_preview_deps[@]}" "${_python_deps[@]}" "${_seahorse_deps[@]}")
+options=('!emptydirs')
+source=("${pkgbase}-${pkgver}.tar.gz::${url}/archive/${pkgver}.tar.gz"
+        "nemo-seahorse-gnupg.patch")
+sha256sums=('4bee7336554fd3c6e87371bc4683e5bee989a67030582b89a050aad5874a04de'
+            'ba6ae77a7d6727088e49aae2dc2c89c77c44f1ea19ee48956481d673d97caa36')
+
+prepare() {
+    cd "${srcdir}"/${pkgbase}-${pkgver}
+
+    # Delete deprecated gnome-common macros, even their standard autoconf-archive replacements are
+    # annoying to people who actually set $C(XX)?FLAGS. This drops the unneeded dependency on gnome-common
+    sed -i '/^GNOME_/d' nemo-image-converter/configure.ac
+
+    # Support GnuPG 2.2
+    patch -p1 -i ../nemo-seahorse-gnupg.patch
+
+    for _dir in "${pkgname[@]}"; do
+        if ! [[ -f ${_dir}/configure.ac || -f ${_dir}/configure.in ]]; then
+            continue
+        fi
+        pushd ${_dir}
+        autoreconf -fi
+        popd
+    done
+}
+
+build() {
+    cd "${srcdir}"/${pkgbase}-${pkgver}
+
+    for _dir in "${pkgname[@]}"; do
+        if ! [[ -f ${_dir}/configure ]]; then
+            continue
+        fi
+        pushd ${_dir}
+        ./configure --prefix=/usr \
+                    --sysconfdir=/etc \
+                    --localstatedir=/var \
+                    --libexecdir=/usr/lib/${_dir} \
+                    --disable-schemas-compile
+        sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' -e 's/    if test "$export_dynamic" = yes && test -n "$export_dynamic_flag_spec"; then/      func_append compile_command " -Wl,-O1,--as-needed"\n      func_append finalize_command " -Wl,-O1,--as-needed"\n\0/' libtool
+        make
+        popd
+    done
+
+    mkdir -p nemo-python/build
+    pushd nemo-python/build
+    meson --prefix=/usr --buildtype=plain ..
+    ninja
+
+    # # nemo-pastebin
+    # cd nemo-pastebin
+    # python2 ./setup.py build --build-base ${srcdir}/build/ || return 1
+    # cd ..
+
+  	# nemo-media-columns
+  	# Nothing to do here
+  	# Required python2-pypdf from AUR
+}
+
+package_nemo-fileroller(){
+    pkgdesc="File archiver extension for Nemo"
+    depends+=('file-roller')
+    optdepends=('cinnamon-translations: i18n')
+
+    cd "${srcdir}"/${pkgbase}-${pkgver}/${pkgname}
+    make DESTDIR="${pkgdir}" install
+}
+
+package_nemo-image-converter(){
+    pkgdesc="Nemo extension to rotate/resize image files"
+    depends+=('imagemagick')
+    optdepends=('cinnamon-translations: i18n')
+
+    cd "${srcdir}"/${pkgbase}-${pkgver}/${pkgname}
+    make DESTDIR="${pkgdir}" install
+}
+
+package_nemo-preview(){
+    pkgdesc="Quick file previewer for Nemo"
+    depends+=("${_preview_deps[@]}")
+    optdepends=('cinnamon-translations: i18n')
+
+    cd "${srcdir}"/${pkgbase}-${pkgver}/${pkgname}
+    make DESTDIR="${pkgdir}" install
+}
+
+package_nemo-python() {
+    pkgdesc="Python3 binding for Nemo components"
+    depends+=("${_python_deps[@]}")
+
+    cd "${srcdir}"/${pkgbase}-${pkgver}/${pkgname}/build
+    DESTDIR="${pkgdir}" ninja install
+}
+
+package_nemo-seahorse(){
+    pkgdesc="PGP encryption and signing extension for Nemo"
+    depends+=("${_seahorse_deps[@]}")
+    optdepends=('cinnamon-translations: i18n')
+
+    cd "${srcdir}"/${pkgbase}-${pkgver}/${pkgname}
+    make DESTDIR="${pkgdir}" install
+}
+
+package_nemo-share(){
+    pkgdesc="Samba extension for Nemo"
+    depends+=('samba')
+    optdepends=('cinnamon-translations: i18n')
+
+    cd "${srcdir}"/${pkgbase}-${pkgver}/${pkgname}
+    make DESTDIR="${pkgdir}" install
+}
+
+package_nemo-terminal(){
+    pkgdesc="Embedded terminal window for Nemo"
+    depends=('nemo-python' 'vte3')
+
+    cd "${srcdir}"/${pkgbase}-${pkgver}/${pkgname}
+    install -Dm644 src/nemo_terminal.py \
+        "${pkgdir}"/usr/share/nemo-python/extensions/nemo_terminal.py
+    install -Dm755 src/nemo-terminal-prefs.py \
+        "${pkgdir}"/usr/bin/nemo-terminal-prefs
+    install -Dm644 src/org.nemo.extensions.nemo-terminal.gschema.xml \
+        "${pkgdir}"/usr/share/glib-2.0/schemas/org.nemo.extensions.nemo-terminal.gschema.xml
+    install -Dm644 pixmap/logo_120x120.png \
+        "${pkgdir}"/usr/share/nemo-terminal/logo_120x120.png
+}
+
+## missing kaa-base in the repos
+#package_nemo-media-columns(){
+#    pkgdesc=("A Nemo extension to display music/EXIF and PDF metadata info in the Nemo List View")
+#    depends=('nemo-python' 'mutagen' 'python2-exiv2' 'python2-kaa-base' 'python2-pillow' 'python2-pypdf')
+#
+#    cd "${srcdir}"/${pkgbase}-${pkgver}/${pkgname}
+#    install -Dm644 nemo-media-columns.py \
+#        "${pkgdir}"/usr/share/nemo-python/extensions/nemo-media-columns.py
+#}
+
+# package_nemo-pastebin(){
+# 	cd ${pkgbase}-${pkgver}/nemo-pastebin
+
+# 	pkgdesc="Nemo extension to send files to a pastebin"
+# 	arch=(any)
+# 	depends=(nemo pastebinit nemo-python)
+
+# 	python2 ./setup.py install --prefix=/usr --root=${pkgdir} \
+# 		--no-compile -O0
+# }
+
+## no clue what any of this does
+# package_nemo-compare() {
+#   cd ${pkgbase}-${pkgver}/nemo-compare
+
+#   pkgdesc="Context menu comparison extension for Nemo file manager"
+#   depends=(python2 python2-xdg meld nemo-python)
+
+#   install -d ${pkgdir}/usr/share/applications/
+#   install -d ${pkgdir}/usr/share/nemo-compare/
+
+#   install -Dm755 ${srcdir}/data/nemo-compare-preferences.desktop \
+#                   /usr/share/applications/nemo-compare-preferences.desktop
+#   install -Dm755 ${srcdir}/data/nemo-compare-notification \
+#                   /usr/share/nemo-compare/nemo-compare-notification
+#   install -Dm755 ${srcdir}/src/nemo-compare.py \
+#                   /usr/share/nemo-compare/nemo-compare.py
+#   install -Dm755 ${srcdir}/src/utils.py \
+#                   /usr/share/nemo-compare/utils.py
+#   install -Dm755 ${srcdir}/src/nemo-compare-preferences.py \
+#                   /usr/share/nemo-compare/nemo-compare-preferences.py
+
+# }

Deleted: nemo-seahorse-gnupg.patch
===================================================================
--- nemo-seahorse-gnupg.patch	2018-11-01 20:01:24 UTC (rev 401148)
+++ nemo-seahorse-gnupg.patch	2018-11-01 20:01:38 UTC (rev 401149)
@@ -1,13 +0,0 @@
-diff --git a/nemo-extensions-3.6.0/nemo-seahorse/configure.ac.orig b/nemo-extensions-3.6.0/nemo-seahorse/configure.ac
-index acea698..9aa06c2 100644
---- a/nemo-seahorse/configure.ac.orig
-+++ b/nemo-seahorse/configure.ac
-@@ -57,7 +57,7 @@ AC_ARG_ENABLE(gpg-check,
- 	DO_CHECK=$enableval, DO_CHECK=yes)
- 
- if test	"$DO_CHECK" = "yes"; then
--	accepted_versions="1.2 1.4 2.0 2.1"
-+	accepted_versions="1.2 1.4 2.0 2.1 2.2"
- 	AC_PATH_PROGS(GNUPG, [gpg gpg2], no)
- 	ok="no"
- 	if test "$GNUPG" != "no"; then

Copied: nemo-extensions/repos/community-x86_64/nemo-seahorse-gnupg.patch (from rev 401148, nemo-extensions/trunk/nemo-seahorse-gnupg.patch)
===================================================================
--- nemo-seahorse-gnupg.patch	                        (rev 0)
+++ nemo-seahorse-gnupg.patch	2018-11-01 20:01:38 UTC (rev 401149)
@@ -0,0 +1,13 @@
+diff --git a/nemo-extensions-3.6.0/nemo-seahorse/configure.ac.orig b/nemo-extensions-3.6.0/nemo-seahorse/configure.ac
+index acea698..9aa06c2 100644
+--- a/nemo-seahorse/configure.ac.orig
++++ b/nemo-seahorse/configure.ac
+@@ -57,7 +57,7 @@ AC_ARG_ENABLE(gpg-check,
+ 	DO_CHECK=$enableval, DO_CHECK=yes)
+ 
+ if test	"$DO_CHECK" = "yes"; then
+-	accepted_versions="1.2 1.4 2.0 2.1"
++	accepted_versions="1.2 1.4 2.0 2.1 2.2"
+ 	AC_PATH_PROGS(GNUPG, [gpg gpg2], no)
+ 	ok="no"
+ 	if test "$GNUPG" != "no"; then


More information about the arch-commits mailing list